<template lang="pug">

  div Menu
    button(@click="nextStep") Next Step
    div Step: {{ emulator.step }}

</template>
<script lang="ts">

  export default {
    components: {  },
    props: ['emulator'],
    data () {
      return {}
    },
    methods: {
      nextStep() {
        this.emulator.nextStep();
      }
    }
  }

</script>
<style lang="stylus">

</style>
